####### This section is automatically generated from
#######    /home/hanord/qt/examples/Makefile

INCDIR	=	$(QTDIR)/include
CFLAGS	=	-O2
LFLAGS	=	-L$(QTDIR)/lib -lqt
CC	=	gcc
MOC	=	moc

####### End of automatically generated section
#
# $Source: /local/lib/cvs/qt/examples/picture/Makefile,v $
#

####### Files

SOURCES	=	makepic.cpp	showpic.cpp
OBJECTS	=	makepic.o	showpic.o
TARGETS	=	makepic		showpic

####### Implicit rules

.SUFFIXES: .cpp

.cpp.o:
	$(CC) -c $(CFLAGS) -I$(INCDIR) $<

####### Build rules

all: $(TARGETS)

makepic: makepic.o
	$(CC) makepic.o -o makepic $(LFLAGS)

showpic: showpic.o
	$(CC) showpic.o -o showpic $(LFLAGS)

depend:
	@makedepend -I$(INCDIR) $(SOURCES) 2> /dev/null

showfiles:
	@echo $(SOURCES) $(HEADERS) Makefile

clean:
	-rm -f *.o *.bak *~ *% #*
	-rm -f $(TARGETS)


# DO NOT DELETE THIS LINE -- make depend depends on it.
